]> git.zerfleddert.de Git - m1-debian/blobdiff - gpu.sh
improve shell scripts
[m1-debian] / gpu.sh
diff --git a/gpu.sh b/gpu.sh
index c875e0c8990edc6a0a4f8601ad56882ab4409d12..61508fd351211dcda0af860aa92554ffabea44a1 100644 (file)
--- a/gpu.sh
+++ b/gpu.sh
@@ -1,9 +1,13 @@
-#!/bin/bash
+#!/usr/bin/env bash
 
 # SPDX-License-Identifier: MIT
 
-set -x
-set -e
+set -o errexit
+set -o nounset
+set -o pipefail
+set -o xtrace
+
+cd "$(dirname "$0")"
 
 unset LC_CTYPE
 unset LANG
Impressum, Datenschutz